import { Base64 } from "js-base64";

const passDecodeFu = (val: string, flag?: boolean) => {
  // flag:加密是否使用了 Base64

  const NUM = 2;
  // 去掉前8位
  const str1 = val.substring(8);
  // 去掉后8位
  const str2 = str1.substring(0, str1.length - 8);
  // 最后2个字符串放到前面，在去掉后8位
  const front = str2.slice(-NUM);
  const end = str2.substring(0, str2.length - 8 - NUM);

  return flag ? Base64.decode(front + end) : front + end;
};

export default passDecodeFu;
